al_color_hsl(3)

NAME

al_color_hsl - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    ALLEGRO_COLOR al_color_hsl(float h, float s, float l)

DESCRIPTION

Return an ALLEGRO_COLOR(3) structure from HSL (hue, saturation, lightness) values.

Parameters:

•   hue - Color hue angle in the range 0..360

•   saturation - Color saturation in the range 0..1

•   lightness - Color lightness in the range 0..1

SEE ALSO

al_color_hsl_to_rgb(3), al_color_hsv(3)